package com.wd.workoffice.ui.adapter;


import android.view.View;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ProPriceBean;
import com.wd.workoffice.bean.mesBean.LogBean;

import java.util.ArrayList;
import java.util.List;

import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

/**
 * Created by flexible on 2018/8/13.
 */

public class MesTicketLogAdapter extends BaseQuickAdapter<LogBean, BaseViewHolder> {

    public MesTicketLogAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, LogBean item) {
        RecyclerView rvImg = helper.getView(R.id.rv_img);
        rvImg.setLayoutManager(new LinearLayoutManager(helper.getConvertView().getContext(), RecyclerView.HORIZONTAL
                , false));
        List imgList = item.getAttachments();
        ImgAdapter imgAdapter = new ImgAdapter(R.layout.item_mes_ticket_img, imgList);
        imgAdapter.bindToRecyclerView(rvImg);
        helper.setText(R.id.tv_time, item.getLogDateTime());
        helper.setText(R.id.tv_name, item.getWriteUserName());
        helper.setText(R.id.tv_content, item.getJobContent());
        helper.setText(R.id.tv_desc, item.getProblemDescription());
        helper.setText(R.id.tv_apply, item.getCustomerDemand());
    }
}

